Interface Assets
- All Known Implementing Classes:
AssetsImpl
public interface Assets
Client interface for accessing asset information in the Equinix Customer Portal.
Backed by the Assets v1 API at /v1/assets. Assets are discovered by posting a filter
to search(AssetSearchRequest) and retrieved individually by id.
-
Method Summary
Modifier and TypeMethodDescriptionRetrieves a specific asset by its identifier.search(AssetSearchRequest request) Searches assets.
-
Method Details
-
search
Searches assets.Maps to
POST /v1/assets/search(searchAssets).- Parameters:
request- the asset search request body- Returns:
- a paginated list of matching assets
-
getByUuid
-